[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Breaks: field in control file?

The shadow package uses a Breaks: field in it's control file.
Dpkg-gencontrol complains:

dpkg-gencontrol: warning: unknown information field Breaks in input data
in package's section of control info file

Here's how the line looks in the control file:

Breaks: sudo (<<1.4.1-1), wu-ftpd (<<2.4-20), netstd (<<2.04-1), xlockmore
(<<3.9-0), vlock (<0.9-1)

I suppose these are versions of packages that will not work with shadow
passwords. Since I'm converting the shadow package to the new source
format, I need to know: is there a new name for the Breaks: field as used
here? Should I just use Conflicts:?

#!/usr/bin/perl -i\$q='$q',\$p='$p';eval\$q.\$\^I\n"#  #   joey@kite.ml.org
$q='print"$p$^I\n',$p='#!/usr/bin/perl -i';eval$q.$^I  #          Joey Hess
               "true - do nothing, successfully" - - true (1)

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-REQUEST@lists.debian.org . Trouble? e-mail to Bruce@Pixar.com

Reply to: